#ifndef __TRWINDOW_H__
#define __TRWINDOW_H__

namespace gui {

/** Member function without parameter */
typedef void (TrWindow::*CommandFunc)();
/** Member function accepting list of parameters */
typedef void (TrWindow::*CommandFuncParam)(const QStringList &);

/**
 TrWindow - class handling main application window
 \brief Main window of application
 */
class TrWindow : public QMainWindow {
 Q_OBJECT
public:
 void addFunc(const QString &name,CommandFunc fn);
 void addFunc(const QString &name,CommandFuncParam fn);
};

} // namespace gui

#endif
